Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 816353010: Implemented HEVC video demuxing and parsing (Closed)

Created:
3 years, 11 months ago by servolk
Modified:
3 years, 3 months ago
CC:
chromium-reviews, feature-media-reviews_chromium.org, cbentzel+watch_chromium.org, erickung1, landell, brettw
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Implemented HEVC video demuxing and parsing Chromecast team is interested in adding HEVC/H265 video codec support. Since we are using hardware decoders on our platforms, we don't need to add software decoder, but we still need to be able to demux and parse HEVC in mp4 containers. HEVC is very similar to H264 in many aspects, so we can reuse a lot of the existing H264 functionality. BUG=454948 Committed: https://crrev.com/4585056bcf1491d19262aaef0577542840f54f19 Cr-Commit-Position: refs/heads/master@{#347814}

Patch Set 1 #

Patch Set 2 : added HEVCDecoderConfig parsing #

Patch Set 3 : Fix typo in parsing param sets #

Patch Set 4 : Moved video config to box_definitions.* #

Patch Set 5 : Various changes for HEVC bitstream handling #

Patch Set 6 : Fixed hvcC conversion to AnnexB (don't reinsert NALU header) #

Patch Set 7 : Minor fixes #

Patch Set 8 : Moved some HEVC specific stuff from avc.* to hevc.* #

Patch Set 9 : Created a separate file for H265 bitstream parser (NALU header is different) #

Patch Set 10 : Some cleanup #

Patch Set 11 : Relax mime type checks for hev1/hvc1 #

Patch Set 12 : Reuse start code finding from H264 in H265 parser #

Patch Set 13 : Add an H265NALU type for H265 parser #

Patch Set 14 : Added minimalistic H265 parser unit test #

Patch Set 15 : Remove hardcoded hevc mime type from mime_util.cc #

Patch Set 16 : Added FFmpeg annex b bitstream converter for HEVC/H265 #

Patch Set 17 : Add enable_hevc_demuxing flag for conditional compilation #

Total comments: 1

Patch Set 18 : Clarified enable_hevc_demuxing flag comments #

Patch Set 19 : Adjusted inclusion of hevc source files in gyp/gn #

Total comments: 34

Patch Set 20 : Rebase to ToT #

Patch Set 21 : Use local define instead of GYP flag for enabling HEVC #

Patch Set 22 : Fix building without global gyp flag #

Patch Set 23 : Remove gyp flag references from media.gyp #

Patch Set 24 : Added HEVC value to mojo codecs enum #

Patch Set 25 : CR fixes from gerrit #

Patch Set 26 : Fixed FFmpeg demuxer unit test for HEVC #

Patch Set 27 : mime_util.cc cleanup #

Patch Set 28 : Added some basic canplaytype unit tests for hevc #

Patch Set 29 : Remove extensionless codec strings from stream_parser_factory.cc #

Patch Set 30 : Cleanup #

Patch Set 31 : Rebase to ToT #

Patch Set 32 : Added hevc handling in media/base/android/media_codec_bridge.cc #

Total comments: 35

Patch Set 33 : Address ddorwin@ CR feedback #

Total comments: 7

Patch Set 34 : Rebase to ToT #

Patch Set 35 : Rebase to ToT #

Patch Set 36 : More CR feedback #

Patch Set 37 : Move ENABLE_HEVC_DEMUXING to the chromecast global define section #

Patch Set 38 : Rebase to ToT #

Total comments: 33

Patch Set 39 : update comment #

Patch Set 40 : Rebase to ToT #

Patch Set 41 : Update canplaytype content_browsertests for HEVC #

Patch Set 42 : CR feedback #

Patch Set 43 : Updated HEVC unit test, mark test stream as recorded, not live #

Patch Set 44 : Rebase to ToT #

Total comments: 10

Patch Set 45 : CR feedback #

Total comments: 4

Patch Set 46 : CR feedback #

Patch Set 47 : Rebase to ToT #

Patch Set 48 : Add kCodecHEVC in media/base/android/demuxer_stream_player_params.cc #

Total comments: 2

Patch Set 49 : fixed nit in comments #

Patch Set 50 : Rebase to ToT #

Patch Set 51 : Refactoring to make it easier to rebase to ToT #

Patch Set 52 : Rebase to ToT #

Patch Set 53 : Remove unused field from HEVCDecoderConfigurationRecord #

Patch Set 54 : Rebase to ToT (new bitstreamconverter) #

Patch Set 55 : Use local gyp/gn flag instead of global define for controlling HEVC support #

Patch Set 56 : Rebase to ToT #

Total comments: 38

Patch Set 57 : Addressed wolenetz@ review feedback #

Total comments: 12

Patch Set 58 : CR feedback from ddorwin@ #

Total comments: 8

Patch Set 59 : Final nits #

Patch Set 60 : Moved back h265_parser_unittest.cc in media/BUILD.gn #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1224 lines, -43 lines) Patch
M content/browser/media/media_canplaytype_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 12 chunks +120 lines, -0 lines 0 comments Download
M content/content_tests.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 1 chunk +5 lines, -0 lines 0 comments Download
M content/test/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 2 chunks +5 lines, -0 lines 0 comments Download
M media/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 59 3 chunks +21 lines, -0 lines 0 comments Download
M media/base/android/demuxer_stream_player_params.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 1 chunk +1 line, -0 lines 0 comments Download
M media/base/android/media_codec_bridge.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 3 chunks +6 lines, -0 lines 0 comments Download
M media/base/mime_util.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 6 chunks +59 lines, -2 lines 0 comments Download
M media/base/video_decoder_config.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 1 chunk +2 lines, -1 line 0 comments Download
M media/base/video_decoder_config.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 1 chunk +2 lines, -0 lines 0 comments Download
M media/ffmpeg/ffmpeg_common.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 2 chunks +8 lines, -0 lines 0 comments Download
M media/filters/ffmpeg_demuxer.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 3 chunks +31 lines, -0 lines 0 comments Download
M media/filters/ffmpeg_demuxer_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 1 chunk +16 lines, -0 lines 0 comments Download
A + media/filters/ffmpeg_h265_to_annex_b_bitstream_converter.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 2 chunks +17 lines, -21 lines 0 comments Download
A media/filters/ffmpeg_h265_to_annex_b_bitstream_converter.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 1 chunk +93 lines, -0 lines 0 comments Download
M media/filters/h264_parser.h View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +6 lines, -6 lines 0 comments Download
M media/filters/h264_parser.cc View 1 2 3 4 5 6 7 8 9 10 11 4 chunks +5 lines, -2 lines 0 comments Download
A media/filters/h265_parser.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +151 lines, -0 lines 0 comments Download
A media/filters/h265_parser.cc View 1 2 3 4 5 6 7 8 9 10 11 12 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 1 chunk +159 lines, -0 lines 0 comments Download
A media/filters/h265_parser_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 1 chunk +43 lines, -0 lines 0 comments Download
M media/filters/stream_parser_factory.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 3 chunks +12 lines, -1 line 0 comments Download
M media/formats/mp4/box_definitions.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 2 chunks +4 lines, -0 lines 0 comments Download
M media/formats/mp4/box_definitions.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 4 chunks +57 lines, -5 lines 0 comments Download
M media/formats/mp4/fourccs.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 1 chunk +5 lines, -0 lines 0 comments Download
A media/formats/mp4/hevc.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 1 chunk +106 lines, -0 lines 0 comments Download
A media/formats/mp4/hevc.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 1 chunk +237 lines, -0 lines 0 comments Download
M media/formats/mp4/mp4_stream_parser.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 2 chunks +5 lines, -4 lines 0 comments Download
M media/formats/mp4/mp4_stream_parser_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 1 chunk +9 lines, -0 lines 0 comments Download
M media/media.gyp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 3 chunks +32 lines, -0 lines 0 comments Download
M media/media_options.gni View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 1 chunk +4 lines, -0 lines 0 comments Download
M media/mojo/interfaces/media_types.mojom View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 1 chunk +2 lines, -1 line 0 comments Download
M media/mojo/services/media_type_converters.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 1 chunk +1 line, -0 lines 0 comments Download
A media/test/data/bear.hevc View 1 2 3 4 5 6 7 8 9 10 11 12 13 Binary file 0 comments Download
A media/test/data/bear-hevc-frag.mp4 View 1 Binary file 0 comments Download

Messages

Total messages: 83 (12 generated)
DaleCurtis
Haven't looked much, but you'll need to protect all the files under some sort of ...
3 years, 10 months ago (2015-02-06 02:19:17 UTC) #3
servolk
On 2015/02/06 02:19:17, DaleCurtis wrote: > Haven't looked much, but you'll need to protect all ...
3 years, 10 months ago (2015-02-06 02:37:50 UTC) #4
DaleCurtis
You should also use it to gate include of the hevc source files. https://codereview.chromium.org/816353010/diff/320001/build/common.gypi File ...
3 years, 10 months ago (2015-02-06 19:08:29 UTC) #5
servolk
On 2015/02/06 19:08:29, DaleCurtis wrote: > You should also use it to gate include of ...
3 years, 10 months ago (2015-02-06 23:42:16 UTC) #6
DaleCurtis
On 2015/02/06 23:42:16, servolk wrote: > On 2015/02/06 19:08:29, DaleCurtis wrote: > > You should ...
3 years, 10 months ago (2015-02-06 23:48:34 UTC) #7
ddorwin
Comments on mime_util.cc / canPlayType(). https://codereview.chromium.org/816353010/diff/360001/net/base/mime_util.cc File net/base/mime_util.cc (right): https://codereview.chromium.org/816353010/diff/360001/net/base/mime_util.cc#newcode530 net/base/mime_util.cc:530: #if defined(ENABLE_HEVC_DEMUXING) "DEMUXING" is ...
3 years, 9 months ago (2015-02-21 02:09:22 UTC) #9
ddorwin
https://codereview.chromium.org/816353010/diff/360001/net/base/mime_util.cc File net/base/mime_util.cc (right): https://codereview.chromium.org/816353010/diff/360001/net/base/mime_util.cc#newcode567 net/base/mime_util.cc:567: {"hev1", MimeUtil::HEVC_MAIN}, On 2015/02/21 02:09:21, ddorwin wrote: > I ...
3 years, 9 months ago (2015-02-21 02:44:40 UTC) #10
servolk
https://codereview.chromium.org/816353010/diff/360001/net/base/mime_util.cc File net/base/mime_util.cc (right): https://codereview.chromium.org/816353010/diff/360001/net/base/mime_util.cc#newcode530 net/base/mime_util.cc:530: #if defined(ENABLE_HEVC_DEMUXING) On 2015/02/21 02:09:21, ddorwin wrote: > "DEMUXING" ...
3 years, 9 months ago (2015-02-23 19:16:17 UTC) #11
ddorwin
https://codereview.chromium.org/816353010/diff/360001/media/filters/ffmpeg_demuxer.cc File media/filters/ffmpeg_demuxer.cc (right): https://codereview.chromium.org/816353010/diff/360001/media/filters/ffmpeg_demuxer.cc#newcode467 media/filters/ffmpeg_demuxer.cc:467: } else if (stream_->codec->codec_id == AV_CODEC_ID_HEVC) { Do you ...
3 years, 9 months ago (2015-02-23 20:00:50 UTC) #12
ddorwin
https://codereview.chromium.org/816353010/diff/360001/net/base/mime_util.cc File net/base/mime_util.cc (right): https://codereview.chromium.org/816353010/diff/360001/net/base/mime_util.cc#newcode531 net/base/mime_util.cc:531: "hev1,hvc1," On 2015/02/23 20:00:49, ddorwin wrote: > On 2015/02/21 ...
3 years, 9 months ago (2015-02-23 20:12:43 UTC) #13
servolk
https://codereview.chromium.org/816353010/diff/360001/media/filters/ffmpeg_demuxer.cc File media/filters/ffmpeg_demuxer.cc (right): https://codereview.chromium.org/816353010/diff/360001/media/filters/ffmpeg_demuxer.cc#newcode467 media/filters/ffmpeg_demuxer.cc:467: } else if (stream_->codec->codec_id == AV_CODEC_ID_HEVC) { On 2015/02/23 ...
3 years, 9 months ago (2015-02-24 02:15:13 UTC) #14
ddorwin
https://codereview.chromium.org/816353010/diff/360001/media/filters/stream_parser_factory.cc File media/filters/stream_parser_factory.cc (right): https://codereview.chromium.org/816353010/diff/360001/media/filters/stream_parser_factory.cc#newcode149 media/filters/stream_parser_factory.cc:149: static const CodecInfo kHEVCHEV1CodecInfo = { "hev1", CodecInfo::VIDEO, NULL, ...
3 years, 9 months ago (2015-02-24 18:07:33 UTC) #15
servolk
On 2015/02/24 18:07:33, ddorwin wrote: > https://codereview.chromium.org/816353010/diff/360001/media/filters/stream_parser_factory.cc > File media/filters/stream_parser_factory.cc (right): > > https://codereview.chromium.org/816353010/diff/360001/media/filters/stream_parser_factory.cc#newcode149 > ...
3 years, 9 months ago (2015-03-12 02:06:34 UTC) #16
servolk
https://codereview.chromium.org/816353010/diff/360001/media/filters/stream_parser_factory.cc File media/filters/stream_parser_factory.cc (right): https://codereview.chromium.org/816353010/diff/360001/media/filters/stream_parser_factory.cc#newcode149 media/filters/stream_parser_factory.cc:149: static const CodecInfo kHEVCHEV1CodecInfo = { "hev1", CodecInfo::VIDEO, NULL, ...
3 years, 9 months ago (2015-03-12 19:44:15 UTC) #17
servolk
On 2015/03/12 19:44:15, servolk wrote: > https://codereview.chromium.org/816353010/diff/360001/media/filters/stream_parser_factory.cc > File media/filters/stream_parser_factory.cc (right): > > https://codereview.chromium.org/816353010/diff/360001/media/filters/stream_parser_factory.cc#newcode149 > ...
3 years, 9 months ago (2015-03-18 20:33:32 UTC) #18
servolk
On 2015/03/18 20:33:32, servolk wrote: > On 2015/03/12 19:44:15, servolk wrote: > > > https://codereview.chromium.org/816353010/diff/360001/media/filters/stream_parser_factory.cc ...
3 years, 8 months ago (2015-03-23 17:23:25 UTC) #19
gunsch
On 2015/03/23 17:23:25, servolk wrote: > On 2015/03/18 20:33:32, servolk wrote: > > On 2015/03/12 ...
3 years, 8 months ago (2015-03-25 00:29:06 UTC) #20
servolk
On 2015/03/25 00:29:06, gunsch wrote: > On 2015/03/23 17:23:25, servolk wrote: > > On 2015/03/18 ...
3 years, 8 months ago (2015-03-25 00:54:03 UTC) #21
ddorwin
https://codereview.chromium.org/816353010/diff/620001/build/common.gypi File build/common.gypi (right): https://codereview.chromium.org/816353010/diff/620001/build/common.gypi#newcode1846 build/common.gypi:1846: # HEVC/H265 demuxing support. Note that toggling this flag ...
3 years, 8 months ago (2015-03-25 01:22:00 UTC) #22
ddorwin
On 2015/03/12 02:06:34, servolk wrote: > On 2015/02/24 18:07:33, ddorwin wrote: > > > https://codereview.chromium.org/816353010/diff/360001/media/filters/stream_parser_factory.cc ...
3 years, 8 months ago (2015-03-25 01:22:35 UTC) #23
servolk
https://codereview.chromium.org/816353010/diff/620001/build/common.gypi File build/common.gypi (right): https://codereview.chromium.org/816353010/diff/620001/build/common.gypi#newcode1846 build/common.gypi:1846: # HEVC/H265 demuxing support. Note that toggling this flag ...
3 years, 8 months ago (2015-03-25 02:20:21 UTC) #24
ddorwin
There are 4 comments are in PS32. https://codereview.chromium.org/816353010/diff/620001/build/common.gypi File build/common.gypi (right): https://codereview.chromium.org/816353010/diff/620001/build/common.gypi#newcode1849 build/common.gypi:1849: # licensing). ...
3 years, 8 months ago (2015-03-25 18:02:59 UTC) #25
servolk
https://codereview.chromium.org/816353010/diff/620001/build/common.gypi File build/common.gypi (right): https://codereview.chromium.org/816353010/diff/620001/build/common.gypi#newcode1849 build/common.gypi:1849: # licensing). Chromecast has hardware HEVC decoder on some ...
3 years, 7 months ago (2015-04-29 23:50:33 UTC) #26
servolk
On 2015/04/29 23:50:33, servolk wrote: > https://codereview.chromium.org/816353010/diff/620001/build/common.gypi > File build/common.gypi (right): > > https://codereview.chromium.org/816353010/diff/620001/build/common.gypi#newcode1849 > ...
3 years, 6 months ago (2015-05-30 00:42:44 UTC) #27
servolk
On 2015/05/30 00:42:44, servolk wrote: > On 2015/04/29 23:50:33, servolk wrote: > > https://codereview.chromium.org/816353010/diff/620001/build/common.gypi > ...
3 years, 6 months ago (2015-06-10 00:54:15 UTC) #28
wolenetz
On 2015/06/10 00:54:15, servolk wrote: > On 2015/05/30 00:42:44, servolk wrote: > > On 2015/04/29 ...
3 years, 6 months ago (2015-06-12 00:02:13 UTC) #29
ddorwin
I reviewed and commented in PS38. I reviewed: * changes to content/browser/media/media_canplaytype_browsertest.cc * media/base/mime_util.cc, which ...
3 years, 6 months ago (2015-06-12 00:52:27 UTC) #31
servolk
https://codereview.chromium.org/816353010/diff/740001/content/browser/media/media_canplaytype_browsertest.cc File content/browser/media/media_canplaytype_browsertest.cc (right): https://codereview.chromium.org/816353010/diff/740001/content/browser/media/media_canplaytype_browsertest.cc#newcode41 content/browser/media/media_canplaytype_browsertest.cc:41: On 2015/06/12 00:52:26, ddorwin wrote: > Move kHevcSupported up ...
3 years, 6 months ago (2015-06-12 21:57:31 UTC) #32
wolenetz
I'll get to CR of this tomorrow. One quick note is to please update the ...
3 years, 6 months ago (2015-06-18 22:36:28 UTC) #33
servolk
done
3 years, 6 months ago (2015-06-18 22:41:17 UTC) #34
ddorwin
https://codereview.chromium.org/816353010/diff/740001/media/media.gyp File media/media.gyp (right): https://codereview.chromium.org/816353010/diff/740001/media/media.gyp#newcode647 media/media.gyp:647: 'filters/ffmpeg_h265_to_annex_b_bitstream_converter.cc', On 2015/06/12 21:57:31, servolk wrote: > On 2015/06/12 ...
3 years, 6 months ago (2015-06-19 21:40:15 UTC) #35
servolk
Hi David, We had this discussion about global GYP flag vs global define a few ...
3 years, 6 months ago (2015-06-20 00:05:09 UTC) #36
ddorwin
On 2015/06/20 00:05:09, servolk wrote: > Hi David, > We had this discussion about global ...
3 years, 6 months ago (2015-06-20 00:28:21 UTC) #37
servolk
Re switching to using a local GYP flag in media.gyp instead of global define ENABLE_HEVC_DEMUXING ...
3 years, 5 months ago (2015-06-25 23:02:10 UTC) #38
ddorwin
LG for the files I reviewed other than the GYP/#define issue. https://codereview.chromium.org/816353010/diff/930001/media/base/mime_util.cc File media/base/mime_util.cc (right): ...
3 years, 5 months ago (2015-06-25 23:51:20 UTC) #39
servolk
https://codereview.chromium.org/816353010/diff/930001/media/base/mime_util.cc File media/base/mime_util.cc (right): https://codereview.chromium.org/816353010/diff/930001/media/base/mime_util.cc#newcode591 media/base/mime_util.cc:591: // also use these in unit tests (see content_browsertests). ...
3 years, 5 months ago (2015-06-26 20:57:42 UTC) #40
servolk
On 2015/06/26 20:57:42, servolk wrote: > https://codereview.chromium.org/816353010/diff/930001/media/base/mime_util.cc > File media/base/mime_util.cc (right): > > https://codereview.chromium.org/816353010/diff/930001/media/base/mime_util.cc#newcode591 > ...
3 years, 5 months ago (2015-06-30 21:42:51 UTC) #42
ddorwin
On 2015/06/30 21:42:51, servolk wrote: > On 2015/06/26 20:57:42, servolk wrote: > > https://codereview.chromium.org/816353010/diff/930001/media/base/mime_util.cc > ...
3 years, 5 months ago (2015-06-30 22:17:00 UTC) #43
brettw
The GN build doesn't match which is suspicious to me. In general I'd like to ...
3 years, 5 months ago (2015-06-30 22:28:05 UTC) #44
sandersd (OOO until July 31)
On 2015/06/30 22:28:05, brettw wrote: > The GN build doesn't match which is suspicious to ...
3 years, 5 months ago (2015-06-30 22:45:40 UTC) #45
brettw
On 2015/06/30 22:45:40, sandersd wrote: > This isn't quite correct, and comes with sharp edges. ...
3 years, 5 months ago (2015-06-30 23:18:24 UTC) #46
servolk
On 2015/06/30 23:18:24, brettw wrote: > On 2015/06/30 22:45:40, sandersd wrote: > > This isn't ...
3 years, 3 months ago (2015-08-28 20:33:56 UTC) #48
servolk
On 2015/08/28 20:33:56, servolk wrote: > On 2015/06/30 23:18:24, brettw wrote: > > On 2015/06/30 ...
3 years, 3 months ago (2015-09-02 18:46:04 UTC) #49
wolenetz
This is looking pretty good. Our discussion last week helped. Mostly nits, my own noob-ness ...
3 years, 3 months ago (2015-09-02 20:43:19 UTC) #50
wolenetz
On 2015/09/02 20:43:19, wolenetz_OoO_Sep3_through_Sep7 wrote: > This is looking pretty good. Our discussion last week ...
3 years, 3 months ago (2015-09-02 20:44:22 UTC) #51
ddorwin
I'll try to re-review the build changes this week. https://codereview.chromium.org/816353010/diff/1090001/media/filters/ffmpeg_h265_to_annex_b_bitstream_converter.cc File media/filters/ffmpeg_h265_to_annex_b_bitstream_converter.cc (right): https://codereview.chromium.org/816353010/diff/1090001/media/filters/ffmpeg_h265_to_annex_b_bitstream_converter.cc#newcode5 media/filters/ffmpeg_h265_to_annex_b_bitstream_converter.cc:5: ...
3 years, 3 months ago (2015-09-02 20:50:06 UTC) #52
ddorwin
I'll try to re-review the build changes this week.
3 years, 3 months ago (2015-09-02 20:50:07 UTC) #53
wolenetz
From chat with ddorwin@, he'll look at the gyp/gn stuff, but not everything. So, lgtm ...
3 years, 3 months ago (2015-09-02 20:51:58 UTC) #54
DaleCurtis
https://codereview.chromium.org/816353010/diff/1090001/content/test/BUILD.gn File content/test/BUILD.gn (right): https://codereview.chromium.org/816353010/diff/1090001/content/test/BUILD.gn#newcode315 content/test/BUILD.gn:315: enable_hevc_demuxing = false On 2015/09/02 20:43:18, wolenetz_OoO_Sep3_through_Sep7 wrote: > ...
3 years, 3 months ago (2015-09-02 21:20:41 UTC) #55
wolenetz
On 2015/09/02 21:20:41, DaleCurtis wrote: > https://codereview.chromium.org/816353010/diff/1090001/content/test/BUILD.gn > File content/test/BUILD.gn (right): > > https://codereview.chromium.org/816353010/diff/1090001/content/test/BUILD.gn#newcode315 > ...
3 years, 3 months ago (2015-09-02 21:22:37 UTC) #56
wolenetz
Additional nit/detail on existing nit: https://codereview.chromium.org/816353010/diff/1090001/media/formats/mp4/mp4_stream_parser_unittest.cc File media/formats/mp4/mp4_stream_parser_unittest.cc (right): https://codereview.chromium.org/816353010/diff/1090001/media/formats/mp4/mp4_stream_parser_unittest.cc#newcode298 media/formats/mp4/mp4_stream_parser_unittest.cc:298: TEST_F(MP4StreamParserTest, HEVC_in_MP4_container) { cast_shell_linux ...
3 years, 3 months ago (2015-09-02 21:56:59 UTC) #57
wolenetz
https://codereview.chromium.org/816353010/diff/1090001/media/formats/mp4/mp4_stream_parser_unittest.cc File media/formats/mp4/mp4_stream_parser_unittest.cc (right): https://codereview.chromium.org/816353010/diff/1090001/media/formats/mp4/mp4_stream_parser_unittest.cc#newcode298 media/formats/mp4/mp4_stream_parser_unittest.cc:298: TEST_F(MP4StreamParserTest, HEVC_in_MP4_container) { On 2015/09/02 21:56:59, wolenetz_OoO_Sep3_through_Sep7 wrote: > ...
3 years, 3 months ago (2015-09-02 22:09:25 UTC) #58
servolk
https://codereview.chromium.org/816353010/diff/1090001/content/content_tests.gypi File content/content_tests.gypi (right): https://codereview.chromium.org/816353010/diff/1090001/content/content_tests.gypi#newcode1515 content/content_tests.gypi:1515: ['chromecast==1', { On 2015/09/02 20:43:18, wolenetz_OoO_Sep3_through_Sep7 wrote: > Double-checking: ...
3 years, 3 months ago (2015-09-03 00:17:51 UTC) #59
DaleCurtis
gyp/gn lgtm
3 years, 3 months ago (2015-09-03 01:41:28 UTC) #60
servolk
On 2015/09/03 01:41:28, DaleCurtis wrote: > gyp/gn lgtm Ping. David, could you take a look ...
3 years, 3 months ago (2015-09-08 18:35:55 UTC) #61
ddorwin
LG except some build cleanup stuff. Thanks. https://codereview.chromium.org/816353010/diff/1110001/media/BUILD.gn File media/BUILD.gn (right): https://codereview.chromium.org/816353010/diff/1110001/media/BUILD.gn#newcode681 media/BUILD.gn:681: "filters/h265_parser_unittest.cc", Requires ...
3 years, 3 months ago (2015-09-08 18:55:44 UTC) #62
servolk
https://codereview.chromium.org/816353010/diff/1110001/media/BUILD.gn File media/BUILD.gn (right): https://codereview.chromium.org/816353010/diff/1110001/media/BUILD.gn#newcode681 media/BUILD.gn:681: "filters/h265_parser_unittest.cc", On 2015/09/08 18:55:44, ddorwin wrote: > Requires enable_hevc_demuxing ...
3 years, 3 months ago (2015-09-08 19:22:02 UTC) #63
wolenetz
re-lgtm % another tiny nit. https://codereview.chromium.org/816353010/diff/1090001/media/formats/mp4/box_definitions.cc File media/formats/mp4/box_definitions.cc (right): https://codereview.chromium.org/816353010/diff/1090001/media/formats/mp4/box_definitions.cc#newcode14 media/formats/mp4/box_definitions.cc:14: #if defined(USE_PROPRIETARY_CODECS) && defined(ENABLE_HEVC_DEMUXING) ...
3 years, 3 months ago (2015-09-08 19:53:11 UTC) #64
ddorwin
LGTM overall with one question. I didn't review the code in detail (except earlier reviews ...
3 years, 3 months ago (2015-09-08 19:54:36 UTC) #65
servolk
https://codereview.chromium.org/816353010/diff/1110001/media/formats/mp4/box_definitions.h File media/formats/mp4/box_definitions.h (right): https://codereview.chromium.org/816353010/diff/1110001/media/formats/mp4/box_definitions.h#newcode15 media/formats/mp4/box_definitions.h:15: #include "media/base/video_decoder_config.h" On 2015/09/08 19:54:36, ddorwin wrote: > On ...
3 years, 3 months ago (2015-09-08 20:27:25 UTC) #66
servolk
https://codereview.chromium.org/816353010/diff/1130001/media/BUILD.gn File media/BUILD.gn (right): https://codereview.chromium.org/816353010/diff/1130001/media/BUILD.gn#newcode707 media/BUILD.gn:707: if (enable_hevc_demuxing) { On 2015/09/08 20:27:25, servolk wrote: > ...
3 years, 3 months ago (2015-09-08 20:48:44 UTC) #67
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/816353010/1150001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/816353010/1150001
3 years, 3 months ago (2015-09-08 20:49:29 UTC) #69
ddorwin
https://codereview.chromium.org/816353010/diff/1130001/media/BUILD.gn File media/BUILD.gn (right): https://codereview.chromium.org/816353010/diff/1130001/media/BUILD.gn#newcode707 media/BUILD.gn:707: if (enable_hevc_demuxing) { On 2015/09/08 20:27:25, servolk wrote: > ...
3 years, 3 months ago (2015-09-08 20:53:28 UTC) #70
servolk
https://codereview.chromium.org/816353010/diff/1130001/media/BUILD.gn File media/BUILD.gn (right): https://codereview.chromium.org/816353010/diff/1130001/media/BUILD.gn#newcode707 media/BUILD.gn:707: if (enable_hevc_demuxing) { On 2015/09/08 20:53:28, ddorwin wrote: > ...
3 years, 3 months ago (2015-09-08 21:17:56 UTC) #71
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/816353010/1170001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/816353010/1170001
3 years, 3 months ago (2015-09-08 21:19:19 UTC) #74
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/97476)
3 years, 3 months ago (2015-09-08 21:31:00 UTC) #76
servolk
On 2015/09/08 21:31:00, commit-bot: I haz the power wrote: > Try jobs failed on following ...
3 years, 3 months ago (2015-09-08 21:38:24 UTC) #78
sky
LGTM
3 years, 3 months ago (2015-09-08 22:24:00 UTC) #79
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/816353010/1170001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/816353010/1170001
3 years, 3 months ago (2015-09-08 22:25:57 UTC) #81
commit-bot: I haz the power
Committed patchset #60 (id:1170001)
3 years, 3 months ago (2015-09-08 22:33:56 UTC) #82
commit-bot: I haz the power
3 years, 3 months ago (2015-09-08 22:34:41 UTC) #83
Message was sent while issue was closed.
Patchset 60 (id:??) landed as
https://crrev.com/4585056bcf1491d19262aaef0577542840f54f19
Cr-Commit-Position: refs/heads/master@{#347814}

Powered by Google App Engine
This is Rietveld 408576698